Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 104047

Summary: mutt ebuild requires pop or imap use-flags to use smime
Product: Gentoo Linux Reporter: Lasse Bigum <zenith>
Component: New packagesAssignee: Aron Griffis (RETIRED) <agriffis>
Status: VERIFIED FIXED    
Severity: normal CC: net-mail
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---

Description Lasse Bigum 2005-08-28 09:44:02 UTC
It should be possible to use mutt with fetchmail or similar apps, but the latest 
ebuild, mutt-1.5.10-r1.ebuild, does not allow this.

In the ebuild it has:
 # there's no need for gnutls, ssl or sasl without either pop or imap.
 # in fact mutt's configure will bail if you do:
 #   --without-pop --without-imap --with-ssl
 if use pop || use imap; then

This is not correct. I use fetchmail for delivering mail locally, and then send 
it with postfix, using SMIME and pgp.

The correct test should be:
 if use pop || use imap || use smime; then
Comment 1 Lasse Bigum 2005-08-28 10:17:21 UTC
Ups :-)

Figured out just messing with the ebuild was not enough, that makes the 
configure-script of mutt fail.

Figured out mutt was to blame, and filed a bugreport with them also. When they 
fix the "problem", the ebuild would, however, need to change to reflect this.
http://bugs.mutt.org/cgi-bin/gnatsweb.pl?cmd=view%20audit-
trail&database=mutt&pr=2048&return_url=http%3A%2F%2Fbugs.mutt.org%2Fcgi-bin%
2Fgnatsweb.pl%3Fdatabase%3Dmutt%3Bdebug%3D%3BCategory%3Dmutt%3BConfidential%
3Dany%3BSeverity%3Dnormal%3BPriority%3Dany%3BResponsible%3Dany%3BState%3Dany%
3Bignoreclosed%3DIgnore%2520Closed%3BClass%3Dany%3BSubmitter-Id%3Dany%
3BSynopsis%3Dsmime%3Bmultitext%3D%3Bcolumns%3DNotify-List%3Bcolumns%3DCategory%
3Bcolumns%3DSynopsis%3Bcolumns%3DConfidential%3Bcolumns%3DSeverity%3Bcolumns%
3DPriority%3Bcolumns%3DResponsible%3Bcolumns%3DState%3Bcolumns%3DKeywords%
3Bcolumns%3DDate-Required%3Bcolumns%3DClass%3Bcolumns%3DSubmitter-Id%3Bcolumns%
3DArrival-Date%3Bcolumns%3DClosed-Date%3Bcolumns%3DLast-Modified%3Bcolumns%
3DOriginator%3Bcolumns%3DRelease%3Bsortby%3DNumber%3Bdisplaydate%3DCurrent%
2520Date%3Bcmd%3Dsubmit%2520query
Comment 2 Lasse Bigum 2005-08-28 10:19:47 UTC
Great, silly old me.

A much shorter URL is here:
http://bugs.mutt.org/cgi-bin/gnatsweb.pl?debug=&database=mutt&cmd=view+audit-
trail&cmd=view&pr=2048
Including a korturl.dk to finish off with in any case:
http://korturl.dk/KJKhu
Comment 3 Fernando J. Pereda (RETIRED) gentoo-dev 2005-09-19 03:54:11 UTC
I added an openssl dependency if neither pop nor imap are present. That way you
should be able to use smime. (all this in mutt-1.5.11)

Cheers,
Ferdy
Comment 4 Lasse Bigum 2005-09-19 14:07:18 UTC
(In reply to comment #3)
> I added an openssl dependency if neither pop nor imap are present. That way 
you
> should be able to use smime. (all this in mutt-1.5.11)

Strange, I do not see this in the 1.5.11 ebuild on my system, in fact, it fails 
due to bug #106545.

When that bug is resolved, perhaps it will work, it's just that diff'ing ebuild 
1.5.10-r1 with 1.5.11 does not exactly make me realize how this bug should be 
fixed, but if you say so, then I believe you ;-)
Comment 5 Fernando J. Pereda (RETIRED) gentoo-dev 2005-09-19 14:58:12 UTC
1.5.11 adds a conditional dependency on openssl if smime use flag is present.
And $(use_enable smime) has always been unconditional.

So you should be able to use smime without socket (imap/pop) support. If you
aren't please reopen. I've been able to do it.

Cheers,
Ferdy
Comment 6 Lasse Bigum 2005-09-20 06:20:18 UTC
I still can't get it working here, here's what trying to emerge it shows:

nadir ~ # emerge -av mutt

These are the packages that I would merge, in order:

Calculating dependencies ...done!
[ebuild     U ] mail-client/mutt-1.5.11 [1.5.10-r1] +berkdb -buffysize -cjk 
+crypt -debug +gdbm +gnutls -gpgme -idn -imap -mbox +nls -nntp -pop* -sasl 
+smime +ssl -vanilla 0 kB 

Emerge finishes as it should, but starting mutt gives me:

zenith@nadir ~ $ mutt
Error in /home/zenith/.mutt/muttrc, line 19: certificate_file: unknown variable
source: errors in /home/zenith/.mutt/muttrc
Press any key to continue...

Line 19 has:
set certificate_file="~/.mutt/certificates"

So, what gives? ;-)

Comment 7 Fernando J. Pereda (RETIRED) gentoo-dev 2005-09-20 07:41:41 UTC
certificate_file configures SSL/GnuTLS certificates, not SMIME certificates:

---8<---
 certificate_file

Type: path
Default: "~/.mutt_certificates"

This variable specifies the file where the certificates you trust are saved.
When an unknown certificate is encountered, you are asked if you accept it or
not. If you accept it, the certificate can also be saved in this file and
further connections are automatically accepted.

You can also manually add CA certificates in this file. Any server certificate
that is signed with one of these CA certificates are also automatically accepted.

Example: set certificate_file=~/.mutt/certificates
---8<---

Cheers,
Ferdy
Comment 8 Lasse Bigum 2005-09-20 08:46:56 UTC
I'm sorry, but it still does not work.

I can't see how you have fixed anything with the 1.5.11 ebuild, it has nothing 
new compared to 1.5.10-r1, as for ssl fixes.
You are correct that it is SSL that fails, not SMIME as I wrote, but I still 
consider this bug valid, as I cannot see any of the changes you say you have 
merged. The following line seems to be the dealbreaker to me:
 # there's no need for gnutls, ssl or sasl without either pop or imap.
 # in fact mutt's configure will bail if you do:
 #   --without-pop --without-imap --with-ssl
 if use pop || use imap; then

In other words: It seems that SSL is simply not compiled in if you do not enable 
pop or imap. If you do not, it never compiles ssl in, and thus I get my error.

But, seeing that this is apparently a mutt "bug" (?), I have asked the guy who 
closed my bug report about it, and rephrased the bug, not that I know it's SSL, 
not SMIME related.

Will get back to you when I get a reply.
Comment 9 Lasse Bigum 2005-09-20 13:41:54 UTC
Must...go...hurt....myself....

Have no idea why I suddenly made up in my mind that SSL was somehow related to 
the fact that I couldn't sign stuff, but obviously this is silly.
Removing the offending certificate_file from my muttrc file solved the problem. 
I, in my early days of mutt, thought this was a place it stored my signatures, 
and thus thought it was needed. Silly me :-)

Sorry for the mess I've made, I will go away now ;-)